<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hpss__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hpss_t</compoundname>
    <includes local="no">cy_ble_hps.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hpss__t_1abd55de7dbe6ce4059ac1c28897e212fe" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hpss_t::serviceHandle</definition>
        <argsstring />
        <name>serviceHandle</name>
        <briefdescription>
<para>HTTP Proxy Service Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" line="99" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hpss__t_1a8c79b623135585756cc4eeb4e541bf1e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__hpss__char__t">cy_stc_ble_hpss_char_t</ref></type>
        <definition>cy_stc_ble_hpss_char_t cy_stc_ble_hpss_t::charInfo[CY_BLE_HPS_CHAR_COUNT]</definition>
        <argsstring>[CY_BLE_HPS_CHAR_COUNT]</argsstring>
        <name>charInfo</name>
        <briefdescription>
<para>Array of Characteristics and Descriptors Handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" bodystart="100" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" line="100" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HPS Characteristic with Descriptors Handles. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="851">
        <label>cy_stc_ble_hpss_char_t</label>
        <link refid="structcy__stc__ble__hpss__char__t" />
      </node>
      <node id="850">
        <label>cy_stc_ble_hpss_t</label>
        <link refid="structcy__stc__ble__hpss__t" />
        <childnode refid="851" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="101" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" bodystart="97" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" line="98" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hpss__t_1a8c79b623135585756cc4eeb4e541bf1e" virt="non-virtual"><scope>cy_stc_ble_hpss_t</scope><name>charInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__hpss__t_1abd55de7dbe6ce4059ac1c28897e212fe" virt="non-virtual"><scope>cy_stc_ble_hpss_t</scope><name>serviceHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>